yacy: 0.55_20071004_4145 -> 0.56

* cleaned up the version and now using the pro version
  since the old version dosn't appear on the site anymore
* moved from /usr/share/yacy to /usr/lib/yacy, as a result
  if you have a existing install please move
  /usr/share/yacy/DATA to /usr/lib/yacy/DATA
* removed alot of junk files and source code
* cleaned up pre-install and README
This commit is contained in:
Danny Rawlins 2008-01-19 09:47:41 +11:00
parent fa4d890871
commit 092c0d3a19
7 changed files with 1012 additions and 1067 deletions

File diff suppressed because it is too large Load Diff

View File

@ -1,4 +1,4 @@
11d59eb69b38c20befa72632a85ed2f0 yacy-start.sh
aa1042106daa0c8e5e083b7db532a2b7 yacy-stop.sh
b7e84a2c57a0dca656ea650088abdcd1 yacy-start.sh
3d51b10d074af11080dab542b94fbb0c yacy-stop.sh
d77dc8b70b0e1434650079f5ee61e3fc yacy.rc
a3bb8bbf090012b9b7ceba98294356fb yacy_v0.55_20071004_4145.tar.gz
d4401fb5c1a8eb0bdbf08510cbcc15a0 yacy_pro_v0.56_20071222_4290.tar.gz

View File

@ -5,9 +5,10 @@
# Depends on: ant
name=yacy
version=0.55_20071004_4145
version=0.56
date=20071222_4290
release=1
source=(http://www.yacy.net/release/yacy_v$version.tar.gz \
source=(http://www.yacy.net/release/yacy_pro_v${version}_$date.tar.gz \
yacy-start.sh yacy-stop.sh yacy.rc)
build() {
@ -20,30 +21,32 @@ build() {
ant
# remove un-needed files
find $SRC/yacy -type f \
-name '*.bat' -delete -or \
-name '*.txt' -delete -or \
-name '*.css.old' -delete -or \
-name '*.readme' -delete
find $SRC/yacy -type f \( \
-name '*.bat' -o \
-name '*.txt' -o \
-name '*.css.old' -o \
-name '*.readme' -o \
-name '*.License' -o \
-name '*.java' \) -delete
rm -r \
source \
htroot/locale \
locales
#classes/de
#RELEASE/EXT/{source,classes}/de
locales \
RELEASE
rm \
build.xml \
htroot/CacheAdmin_p.java.ThomasBockig \
htroot/.nbattrs
build.properties \
lib/tar.license \
addon/jsmooth/skeletons/console-wrapper/consolewrapper.exe \
addon/jsmooth/skeletons/windowed-wrapper/jwrap.exe
# install
install -d $PKG/usr/share/yacy
cp -R * $PKG/usr/share/yacy/
install -d $PKG/usr/lib/yacy
cp -R * $PKG/usr/lib/yacy/
# add some protection by limitng what and who can access the p2p files.
chown -R _yacy:daemon $PKG/usr/share/yacy
chown -R _yacy:daemon $PKG/usr/lib/yacy
install -D -m 0755 $SRC/yacy-start.sh $PKG/usr/sbin/yacy-start
install -D -m 0755 $SRC/yacy-stop.sh $PKG/usr/sbin/yacy-stop

View File

@ -2,18 +2,20 @@ REQUIREMENTS:
PRECAUTION:
Once running goto the main page http://localhost:8080/ and set a password and
maybe change the port too.
Once running goto the main page http://localhost:8080/ and
set a password and maybe change the port too.
PRE-INSTALL:
Yacy expects to have a user and group dedicated to it, a pre-install
script has been added to the port which takes care of this.
Yacy expects to have a user and group dedicated to it, a
pre-install script has been added to the port which takes
care of this.
POST-INSTALL:
Edit your favourite web browser and point it to proxy localhost 8080 or which
ip on your lan and port you have assigned.
Edit your favourite web browser and point it to proxy
localhost 8080 or which ip on your lan and port you have
assigned.
PRE-REMOVE:
@ -21,9 +23,10 @@ POST-REMOVE:
NOTES:
Please add "yacy" to the SERVICES array in /etc/rc.conf if you'd like to run
yacy as a service (highly recomended).
Please add "yacy" to the SERVICES array in /etc/rc.conf if
you'd like to run yacy as a service (highly recomended).
Apon startup yacy takes some time to load before the web browser will work,
and some time to shutdown too to save its state.
Upon startup yacy takes some time to load before the web
browser will load the initial page, and some time to
shutdown too to save its state.

View File

@ -8,29 +8,35 @@ USER_COMMENT="Yacy Daemon"
USER_HOME=/var/empty
USER_SHELL=/bin/sh
if [ $GROUP ]
then
if ! grep -qi $GROUP /etc/group
then
/usr/sbin/groupadd $GROUP
if [ $? -eq 0 ]
then
echo "Group: $GROUP added."
fi
else
echo "Group: $GROUP already exists! Skipping."
fi
fi
if ! grep -qi $USER /etc/shadow
then
/usr/sbin/useradd -g $GROUP -c "$USER_COMMENT" -d $USER_HOME -s $USER_SHELL $USER
if [ $? -eq 0 ]
then
/usr/bin/passwd -l $USER
echo "User: $USER added."
fi
else
echo "User: $USER already exists! Skipping."
if [ ! $(id -u) = 0 ]; then
echo "ERROR: you need to be root to run this!"
exit 1
fi
if [ $GROUP ]; then
if ! getent group $GROUP > /dev/null; then
/usr/sbin/groupadd $GROUP
if [ $? -eq 0 ]; then
echo "Group: $GROUP added."
fi
else
echo "Group: $GROUP already exists! Skipping."
fi
fi
if ! getent passwd $USER > /dev/null; then
/usr/sbin/useradd -g $GROUP -c "$USER_COMMENT" -d $USER_HOME -s $USER_SHELL $USER
if [ $? -eq 0 ]; then
echo "User: $USER added."
/usr/bin/passwd -l $USER
if [ $? -eq 0 ]; then
echo "Locked $USER account."
fi
else
echo "ERROR: unable to lock $USER account."
/usr/sbin/userdel $USER
fi
else
echo "User: $USER already exists! Skipping."
fi

View File

@ -1,5 +1,5 @@
#!/bin/sh
cd /usr/share/yacy
cd /usr/lib/yacy
./startYACY.sh

View File

@ -1,5 +1,5 @@
#!/bin/sh
cd /usr/share/yacy
cd /usr/lib/yacy
./stopYACY.sh